- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AlpsNodeDesc Class Reference

A class to refer to the description of a search tree node. More...

`#include <AlpsNodeDesc.h>`

Inheritance diagram for AlpsNodeDesc:

[legend]
Collaboration diagram for AlpsNodeDesc:

[legend]
List of all members.

## Public Member Functions
| AlpsNodeDesc ()
| AlpsNodeDesc (AlpsModel *m)
virtual | ~AlpsNodeDesc ()
AlpsModel * | getModel () const
void | setModel (AlpsModel *m)
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack node description into an encoded.
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a node description from an encoded.
## Protected Attributes
AlpsModel * | model_
| A pointer to model.

## Detailed Description

A class to refer to the description of a search tree node.

FIXME* : write a better doc...

Definition at line 35 of file AlpsNodeDesc.h.

## Constructor & Destructor Documentation

AlpsNodeDesc::AlpsNodeDesc | ( |  | ) | `[inline]`

Definition at line 45 of file AlpsNodeDesc.h.

AlpsNodeDesc::AlpsNodeDesc | ( | AlpsModel * | m | ) | `[inline]`

Definition at line 46 of file AlpsNodeDesc.h.

References model_.

virtual AlpsNodeDesc::~AlpsNodeDesc | ( |  | ) | `[inline, virtual]`

Definition at line 49 of file AlpsNodeDesc.h.

## Member Function Documentation

AlpsModel* AlpsNodeDesc::getModel | ( |  | ) | const`[inline]`

Definition at line 51 of file AlpsNodeDesc.h.

References model_.

void AlpsNodeDesc::setModel | ( | AlpsModel * | m | ) | `[inline]`

Definition at line 52 of file AlpsNodeDesc.h.

References model_.

virtual AlpsReturnStatus AlpsNodeDesc::encode | ( | AlpsEncoded * | encoded | ) | const`[inline, virtual]`

Pack node description into an encoded.

Reimplemented in BlisNodeDesc, and BlisNodeDesc.

Definition at line 55 of file AlpsNodeDesc.h.

References AlpsReturnStatusOk.

virtual AlpsReturnStatus AlpsNodeDesc::decode | ( | AlpsEncoded & | encoded | ) | `[inline, virtual]`

Unpack a node description from an encoded.

Fill member data.

Reimplemented in BlisNodeDesc, and BlisNodeDesc.

Definition at line 63 of file AlpsNodeDesc.h.

References AlpsReturnStatusOk.

## Member Data Documentation

AlpsModel* AlpsNodeDesc::model_`[protected]`

A pointer to model.

Definition at line 41 of file AlpsNodeDesc.h.

Referenced by AlpsNodeDesc(), getModel(), KnapNodeDesc::KnapNodeDesc(), AbcNodeDesc::lowerBounds(), AbcNodeDesc::setLowerBound(), setModel(), AbcNodeDesc::setUpperBound(), and AbcNodeDesc::upperBounds().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Alps/src/AlpsNodeDesc.h